Skip to main content

Get Markdown Documents

GET 

/api/v8/partner/parse

Get Markdown Documents

Request​

Query Parameters

    meta.tags array

    Return documents containing these tags.

    Example: a
    meta.external_id string

    Return documents with this meta.external_id.

    Example: 123f-2aa-33cc
    created_date__gt string

    Return documents created after this date and time in ISO 8601 format.

    Example: 2022-05-03 00:00:00
    created_date__lt string

    Return documents created before this date and time in ISO 8601 format.

    Example: 2023-03-23 00:00:00
    created_date__gte string

    Return documents created beginning at this date and time in ISO 8601 format.

    Example: 2022-04-24 00:00:00
    created_date__lte string

    Return documents created on and before this date and time in ISO 8601 format.

    Example: 2020-10-15 00:00:00
    updated_date__gt string

    Return documents updated after this date and time in ISO 8601 format.

    Example: 2023-07-25 00:00:00
    updated_date__lt string

    Return documents updated before this date and time in ISO 8601 format.

    Example: 2019-03-18 00:00:00
    updated_date__gte string

    Return documents updated beginning at this date and time in ISO 8601 format.

    Example: 2020-02-03 00:00:00
    updated_date__lte string

    Return documents updated on and before this date and time in ISO 8601 format.

    Example: 2023-01-03 00:00:00
    page integer

    Default value: 1

    The page number. The response is capped to maximum of 50 results per page.

    page_size integer

    Default value: 50

    The number of Documents per page.

    Example: 10
    bounding_boxes boolean

    A field used to determine whether or not to return bounding_box and bounding_region for extracted fields in the Document response.

    confidence_details boolean

    A field used to determine whether or not to return the score and ocr_score fields in the Document response.

    q string

    Case sensitive. Return documents with this text or any extracted fields matching the value. Use asterisk for partial matches, e.g. q=Walmart* will return documents with either Walmart in ocr text or any extracted field containing Walmart.

    Example: Starbucks
    track_total_results boolean

    Whether to always return accurate count of results, true makes it slower.

Responses​

A list of Markdown Documents

Schema
    anyOf
    count integerrequired

    The total number of results retrieved across all pages.

    next (string | null)

    The URL to the next page of results.

    previous (string | null)

    The URL to the previous page of results.

    results object[]required

    The collection of processed Markdown Document documents

  • Array [
  • id integerrequired

    The database ID of the markdown document

    markdown (string | null)required

    The markdown content of the converted document.

    pages object[]

    Page structures returned when details is true.

    document_type stringrequired

    Type of document

    external_id (string | null)

    External reference ID

    status stringrequired

    Processing status

    md_storage_path (string | null)

    S3 path to the markdown document

    pdf_url (string | null)

    S3 URL to the PDF file

    img_url (string | null)

    S3 URL to the image file

    created stringrequired

    Creation timestamp

    updated stringrequired

    Last update timestamp

    tags string[]

    Default value: ``

    Document tags

    meta DocumentToMarkdownMeta

    Meta information about the processed document.

    total_pages (integer | null)

    The total number of pages found in the submitted document.

    processed_pages (integer | null)

    The number of processed pages for the document. The default limit is 50 pages per document. Use max_pages_to_process on the POST request to lower the limit.

    pages object[]

    An array containing meta info about each processed page.

  • Array [
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the page.

    width (integer | null)

    The width of the page.

    height (integer | null)

    The height of the page.

    is_blurry ClassNullableBoolField

    The processed page is blurry or not

    score (number | null)

    Possible values: <= 1

    The score shows how confident the model is that the predicted value belongs to the field. See confidence scores explained for more information.

    value (boolean | null)required

    The extracted value.

  • ]
  • source_documents object[]

    An array containing meta info about originally submitted documents.

  • Array [
  • size_kb (integer | null)required
    height (integer | null)required
    width (integer | null)required
    exif (object | null)

    EXIF data from the source document

  • ]
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the whole document.

    original_file_name (string | null)

    Possible values: non-empty

    The original file name of the uploaded document.

    source string

    Possible values: [api.email, api.web, api, browser_extension, lens.bill, lens.invoice, lens.long_receipt, lens.other, lens.receipt, lens.web, lens]

    Default value: api

    The source of the document's submission for processing.

  • ]
Loading...